Package org.apache.ignite.cache

## Interface CacheEntryVersion

- All Superinterfaces:
    `Comparable<CacheEntryVersion>`, `Serializable`

      public interface CacheEntryVersion
      extends Comparable<CacheEntryVersion>, Serializable

  Entry event order. Two concurrent updates of the same entry can be ordered based on `CacheEntryVersion` comparsion. Greater value means that event occurs later.
  See Also:
    `CacheConflictResolutionManager`, `GridCacheVersionManager.dataCenterId(byte)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte` | `clusterId()` | Cluster id is a value to distinguish updates in case user wants to aggregate and sort updates from several Ignite clusters.
    `int` | `nodeOrder()` |
    `long` | `order()` | Order of the update.
    `CacheEntryVersion` | `otherClusterVersion()` | If source of the update is "local" cluster then `null` will be returned.
    `int` | `topologyVersion()` |

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### order

          long order()

      Order of the update. Value is an incremental counter value. Scope of counter is node.
      Returns:
        Version order.

    - #### nodeOrder

          int nodeOrder()

      Returns:
        Node order on which this version was assigned.

    - #### clusterId

          byte clusterId()

      Cluster id is a value to distinguish updates in case user wants to aggregate and sort updates from several Ignite clusters. `clusterId` id can be set for the node using `GridCacheVersionManager.dataCenterId(byte)`.
      Returns:
        Cluster id.

    - #### topologyVersion

          int topologyVersion()

      Returns:
        Topology version plus number of seconds from the start time of the first grid node.

    - #### otherClusterVersion

          CacheEntryVersion otherClusterVersion()

      If source of the update is "local" cluster then `null` will be returned. If updated comes from the other cluster using `IgniteInternalCache.putAllConflict(Map)` then entry version for other cluster.
      Returns:
        Replication version.
      See Also:
        `IgniteInternalCache.putAllConflict(Map)`, `IgniteInternalCache.removeAllConflict(Map)`